Bug 201031 - [MAINTAINER] sysutils/watchman update to 4.1.0
Summary: [MAINTAINER] sysutils/watchman update to 4.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks: 203961
  Show dependency treegraph
 
Reported: 2015-06-22 04:16 UTC by linpct
Modified: 2015-12-09 03:22 UTC (History)
1 user (show)

See Also:


Attachments
watchman-3.2.patch (1.54 KB, text/plain)
2015-06-22 04:16 UTC, linpct
no flags Details
watchman.patch (2.22 KB, text/plain)
2015-07-15 09:17 UTC, linpct
no flags Details
watchman.patch (3.24 KB, text/plain)
2015-10-23 03:32 UTC, linpct
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description linpct 2015-06-22 04:16:26 UTC

    
Comment 1 linpct 2015-06-22 04:16:28 UTC
Created attachment 157967 [details]
watchman-3.2.patch
Comment 2 Dmitry Marakasov freebsd_committer 2015-06-22 18:34:58 UTC
Plist problem:

https://people.freebsd.org/~amdmi3/watchman.log
Comment 3 linpct 2015-06-23 02:18:14 UTC
Hi, is there better way to remove this file? (var/run/watchman/.not-empty) Or I must keep it at plist?

Thanks.
Comment 4 Dmitry Marakasov freebsd_committer 2015-06-24 16:37:13 UTC
First, you need to make it use /var instead of PREFIX/var as portlint suggests. Adding --localstatedir=/var to CONFIGURE_ARGS should help. To deal with the file, you may either

1) Just add it to plist
2) Patch Makefile.am to not create it
3) Remove it with ${RM} in post-install
4) Comment it in plist with @comment /var/run/watchman/.not-empty

The latter is probably the most easy and clean way to deal with it. Either case, you also need

@dir(,,777) /var/run/watchman

in the plist to handle the directory. You may still keep these in PLIST_FILES:

PLIST_FILES=    bin/watchman \
                "@comment /var/run/watchman/.not-empty" \
                "@dir(,,777) /var/run/watchman"

or switch to separate pkg-plist file.
Comment 5 linpct 2015-06-25 03:30:22 UTC
Thanks for your kindly reply, I'll find out if var/run/watchman/.not-empty needed or not. :-)
Comment 6 linpct 2015-07-15 09:17:06 UTC
Created attachment 158794 [details]
watchman.patch
Comment 7 linpct 2015-07-15 09:20:36 UTC
Hello, please try the new patch for 3.5.0.

It is still not good for 'var/run/watchman/.not-empty' file but please give it a try, thanks.
Comment 8 linpct 2015-10-23 03:16:16 UTC
Hi, watchman 3.5.0 is too old, current version is 4.1.0.

I'll try to test and add another patch.
Comment 9 linpct 2015-10-23 03:32:31 UTC
Created attachment 162374 [details]
watchman.patch
Comment 10 linpct 2015-10-23 03:36:45 UTC
Hi, I've update patch, needs committers' help.
Comment 11 Dmitry Marakasov freebsd_committer 2015-10-23 13:06:03 UTC
On it
Comment 12 commit-hook freebsd_committer 2015-12-09 03:20:18 UTC
A commit references this bug:

Author: jbeich
Date: Wed Dec  9 03:19:16 UTC 2015
New revision: 403355
URL: https://svnweb.freebsd.org/changeset/ports/403355

Log:
  sysutils/watchman: update to 4.2.0

  - Add BACKTRACE option
  - Convert PCRE dependency into an option
  - Respect PREFIX for /etc/watchman.json
  - Explicitly disable devel/libinotify
  - Connect to new testing framework

  PR:		201031
  Submitted by:	linpct@gmail.com (maintainer, based on)
  Reviewed by:	amdmi3 (previous version)
  Approved by:	cookie licking (47 days)

Changes:
  head/sysutils/watchman/Makefile
  head/sysutils/watchman/distinfo
  head/sysutils/watchman/files/
Comment 13 commit-hook freebsd_committer 2015-12-09 03:20:19 UTC
A commit references this bug:

Author: jbeich
Date: Wed Dec  9 03:19:54 UTC 2015
New revision: 403356
URL: https://svnweb.freebsd.org/changeset/ports/403356

Log:
  sysutils/py-pywatchman: add new port

  Connect and query Watchman to discover file changes.

  https://pypi.python.org/pypi/pywatchman

  PR:		201031
  Approved by:	cookie licking (47 days)

Changes:
  head/sysutils/Makefile
  head/sysutils/py-pywatchman/
  head/sysutils/py-pywatchman/Makefile
  head/sysutils/py-pywatchman/distinfo
  head/sysutils/py-pywatchman/pkg-descr
Comment 14 Jan Beich freebsd_committer 2015-12-09 03:22:36 UTC
Thanks. Committed. There's still homework left: as in "research", not necessarily "do".
- gimli support
- ruby and/or node.js bindings port
- installing docs (see website/_docs)
- system jansson (via devel/jansson)